const XML_DOC_REGEX = /<([\w.-]+)(\s+.+=("|').*?("|'))*\s*\/?>|<\/[\w.-]+>/g;
const XML_WHITE_SPACES_REGEX = />?(\n|\r|\t|\s)+</g;
const XML_COMMENT_REGEX = /<!--[\s\S]*?-->/g;
const INT_REGEX = /^[0-9]+$/g;
const FLOAT_REGEX = /^[0-9]*\.[0-9]+$/g;
const STRING_DELIMTERS_REGEX = /\"|\'/g;
const CLOSING_TAG_REGEX = /\/?\s*>$/g;
const SELF_CLOSING_TAG_REGEX = /\s*\/>$/;
const SPACES_REGEX = /\s+/g;
const ATTRIBUTE_NAME_VALIDATOR_REGEX = /^[a-zA-Z_][\w.-]*$/;
const INVALID_SYMBOLS_REGEX = /[<>&]/g;
const INVALID_TAG_NAME_SYMBOLS_REGEX = /[<>]/g;
const specialCharsRegexMap = {
  "&": /&amp;/g,
  '"': /&quot;/g,
  "'": /&apos;/g,
  "<": /&lt;/g,
  ">": /&gt;/g,
  "(": /&#40;/g,
  ")": /&#41;/g,
  "#": /&#35;/g,
  " ": /&#32;/g,
  "%": /&#37;/g,
  "+": /&#43;/g,
  "-": /&#45;/g,
  ".": /&#46;/g,
  "/": /&#47;/g,
  ":": /&#58;/g,
  ";": /&#59;/g,
  "=": /&#61;/g,
  "?": /&#63;/g,
  "@": /&#64;/g,
  "[": /&#91;/g,
  "]": /&#93;/g,
  "_": /&#95;/g,
  "`": /&#96;/g,
  "{": /&#123;/g,
  "|": /&#124;/g,
  "}": /&#125;/g,
  "~": /&#126;/g,
  "^": /&#94;/g,
  "\\": /&#92;/g,
  "$": /&#36;/g,
  "!": /&#33;/g,
  "*": /&#42;/g,
  ",": /&#44;/g,
  "\n": /&#10;/g,
  "\r": /&#13;/g,
  "	": /&#9;/g,
  "\xA9": /&#169;/g,
  "\xAE": /&#174;/g,
  "\xA2": /&#162;/g,
  "\xA3": /&#163;/g,
  "\xA5": /&#165;/g,
  "\u20AC": /&#8364;/g,
  "\xA7": /&#167;/g,
  "\u2022": /&#8226;/g,
  "\xB0": /&#176;/g,
  "\xB6": /&#182;/g,
  "\u221E": /&#8734;/g,
  "\xF7": /&#247;/g,
  "\xD7": /&#215;/g,
  "\xB1": /&#177;/g,
  "\xB2": /&#178;/g,
  "\xB3": /&#179;/g,
  "\xBC": /&#188;/g,
  "\xBD": /&#189;/g,
  "\xBE": /&#190;/g
};
export {
  ATTRIBUTE_NAME_VALIDATOR_REGEX,
  CLOSING_TAG_REGEX,
  FLOAT_REGEX,
  INT_REGEX,
  INVALID_SYMBOLS_REGEX,
  INVALID_TAG_NAME_SYMBOLS_REGEX,
  SELF_CLOSING_TAG_REGEX,
  SPACES_REGEX,
  STRING_DELIMTERS_REGEX,
  XML_COMMENT_REGEX,
  XML_DOC_REGEX,
  XML_WHITE_SPACES_REGEX,
  specialCharsRegexMap
};
//# sourceMappingURL=regex.mjs.map