"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var cleaners_exports = {};
__export(cleaners_exports, {
  sanitiseAttributeValue: () => sanitiseAttributeValue
});
module.exports = __toCommonJS(cleaners_exports);
var import_regex = require("../constants/regex");
function sanitiseAttributeValue(value) {
  const entries = Object.entries(import_regex.specialCharsRegexMap);
  for (let i = 0; i < entries.length; i++) {
    value = value.replace(entries[i][1], entries[i][0]);
  }
  return decodeNumericReferences(value);
}
function decodeNumericReferences(str) {
  str = str.replace(/&#([0-9]+);/g, (_, dec) => String.fromCharCode(dec));
  str = str.replace(/&#x([0-9A-Fa-f]+);/g, (_, hex) => String.fromCharCode(parseInt(hex, 16)));
  return str;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  sanitiseAttributeValue
});
//# sourceMappingURL=cleaners.js.map