type NodeLiteralValue = string | number | Date;
type NodeAttributes = Record<string, NodeLiteralValue>;
type Node = {
    tagname: string;
    attributes?: NodeAttributes;
    value?: NodeLiteralValue;
    nodes?: Record<string, Node | Node[]>;
};
type NodeValueParser = (value: string) => any;
type JsonifyXMLParser = "default" | "string" | NodeValueParser;
type JsonifyXMLBaseOptions = Partial<{
    valueParser: JsonifyXMLParser;
    parseAttributes: boolean;
    output: string;
    sanitize: boolean;
}>;
type JsonifyXMLOptions = JsonifyXMLBaseOptions & ({
    xml: string;
} | {
    input: string;
});
type JsonifyResult = [string, {
    [x: string]: Node;
}];

export type { JsonifyResult, JsonifyXMLBaseOptions, JsonifyXMLOptions, JsonifyXMLParser, Node, NodeAttributes, NodeLiteralValue, NodeValueParser };
